<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>{{ textoGestionGrafica }}</strong>
    </div>
    <!--Contenido-->
    <div class="pl-10 pr-10 contSecc">
      <div class="titSec">
        {{ textoGestionGrafica }}
      </div>
      <v-card>
        <div class="ml-5">
          <v-list>
            <v-list-item>
              <v-list-item-avatar>
                <v-icon color="grey lighten-1" x-large>mdi-chart-bar</v-icon>
              </v-list-item-avatar>
              <v-list-item-content>
                <v-list-item-title>{{
                  graficaBackup.descripcion
                }}</v-list-item-title>
              </v-list-item-content>
            </v-list-item>
          </v-list>
        </div>
        <v-tabs v-model="tab" align-with-title>
          <v-tabs-slider color="yellow"></v-tabs-slider>
          <v-tab>
            Datos de la gráfica
          </v-tab>
          <v-tab>
            Semáforos
          </v-tab>
        </v-tabs>
        <v-tabs-items v-model="tab">
          <v-tab-item>
            <datos-grafica
              :graficaIn="grafica"
              @changeGrafica="changeGrafica"
            />
          </v-tab-item>
          <v-tab-item>
            <semaforos :graficaIn="grafica" />
          </v-tab-item>
        </v-tabs-items>
      </v-card>
    </div>
  </div>
</template>
<script>
import store from "@/store";
import Semaforos from "@/views/secure/sistema-informacion/dashboards/v2/graficas/components/Semaforos.vue";
import DatosGrafica from "@/views/secure/sistema-informacion/dashboards/v2/graficas/components/DatosGrafica.vue";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Component-GestionGrafica",
  components: {
    Semaforos,
    DatosGrafica,
  },
  data() {
    return {
      tab: null,
      textoGestionGrafica: null,
      grafica: null,
    };
  },
  computed: {
    breadcrumbs() {
      return [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Sistema de Información",
          disabled: false,
          exact: true,
          to: {
            name: "sistema_informacion",
          },
        },
        {
          text: "Dashboard",
          disabled: false,
          exact: true,
          to: {
            name: "sistema_informacion_dashboard",
          },
        },
        {
          text: "Gráficas",
          disabled: false,
          exact: true,
          to: {
            name: "sistema_informacion_dashboard_v2_graficas",
          },
        },
        {
          text: "Edición",
          disabled: true,
        },
      ];
    },
    serviceCommons() {
      return serviceCommons;
    },
    graficaBackup() {
      return this.serviceCommons.base64ToObject(this.$route.params.grafica);
    },
  },
  methods: {
    changeGrafica(data) {
      this.grafica = data;
      this.$router.replace({
        params: {
          grafica: this.serviceCommons.objectToBase64(this.grafica),
        },
      });
    },
    initValues() {
      if (this.grafica.idGrafica) {
        this.textoGestionGrafica = "Editar Gráfica";
      }
    },
  },
  created() {
    if (this.$route.params.grafica) {
      this.grafica = this.serviceCommons.base64ToObject(
        this.$route.params.grafica
      );
    }
    if (this.$route.query.semaforos) {
      this.tab = 1;
      this.$router.replace({ query: {} });
    }
    this.initValues();
  },
};
</script>
